package com.example.mynotepad.MenuFeatures.AllNotes;

import android.content.Context;
import android.util.AttributeSet;
import android.view.View;
import android.widget.FrameLayout;
import android.widget.ImageView;
import android.widget.LinearLayout;


import com.example.mynotepad.R;

public class CustomToolbarOption extends LinearLayout implements View.OnClickListener {
    private View rootView;
    private ImageView blackStarImg , yellowStarImg , deleteImg;
    private FrameLayout star;

    public CustomToolbarOption(Context context) {
        super(context);
        init(context);
    }

    public CustomToolbarOption(Context context, AttributeSet attrs) {
        super(context, attrs);
        init(context);
    }

    private void init(Context context){
        rootView = inflate(context, R.layout.custom_toolbar_options, this);
        blackStarImg = findViewById(R.id.black_star);
        yellowStarImg = findViewById(R.id.yellow_star);
        deleteImg = findViewById(R.id.deleteImg);
        star = findViewById(R.id.star);
        setStarColor();
    }

    private void setStarColor() {
    }

    @Override
    public void onClick(View view) {
        if ( view.getId() == star.getId()){
            //Todo if note is achived yellow
        }
        else if (view.getId() == deleteImg.getId()){
            //Todo
        }
    }
}
